#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global modname python-keycloak
%define skip_python2 1
Name:           python-%{modname}
Version:        2.6.0
Release:        1.6
Summary:        Python package providing access to the Keycloak API
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/marcospereirampj/python-keycloak
Source:         https://files.pythonhosted.org/packages/source/p/python-keycloak/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module httmock}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry}
BuildRequires:  %{python_module python-jose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-python-jose >= 1.4.0
Requires:       python-requests >= 2.20.0
Requires:       python-setuptools
BuildArch:      noarch
%python_subpackages

%description
Python package providing access to the Keycloak API

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%fdupes %{buildroot}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.md
%doc %{python_sitelib}/CHANGELOG.md
%doc %{python_sitelib}/CONTRIBUTING.md
%doc %{python_sitelib}/CODEOWNERS
%license %{python_sitelib}/LICENSE
%{python_sitelib}/keycloak
%{python_sitelib}/python_keycloak-%{version}*-info

%changelog
* Tue Dec 13 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version v2.6.0 (2022-10-03)
  Feat
  * attack detection API implementation
- Update to v2.5.0 (2022-08-19)
  No changelog
- Update to v2.4.0 (2022-08-19)
  Feat
  * add client scope-mappings client roles operations
  * added missing functionality to include attributes when returning realm roles according to specifications
- Update to v2.3.0 (2022-08-13)
  Feat
  * Add token_type/scope to token exchange api
- Update to v2.2.0 (2022-08-12)
  Feat
  * add client scope-mappings realm roles operations
- Update to v2.1.1 (2022-07-19)
  Fix
  * removed whitespace from urls
  Refactor
  * applied linting
-Update to v2.1.0 (2022-07-18)
  Feat
  * add unit tests
  * add docstrings
  * add functions covering some missing REST API calls
  Fix
  * linting
  * now get_required_action_by_alias now returns None if action does not exist
  * moved imports at the top of the file
  * remove duplicate function
  * applied tox -e docs
  * applied flake linting checks
  * applied tox linting check
-Update to v2.0.0 (2022-07-17)
  BREAKING CHANGE
  * Renamed parameter client_name to client_id in get_client_id method
  Fix
  * check client existence based on clientId
* Sat Apr 30 2022 Matej Cepl <mcepl@suse.com>
- Enable tests
- Clean up the spec file
* Thu Apr 21 2022 Michael Ströder <michael@stroeder.com>
- initial packaging of version 0.27.0
